bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ofle...@apache.org
Subject bigtop git commit: BIGTOP-2256: Promote return codes from docker to the CI while building images
Date Sun, 17 Jan 2016 19:14:05 GMT
Repository: bigtop
Updated Branches:
  refs/heads/master cf87e4ef0 -> 670f5d8cb


BIGTOP-2256: Promote return codes from docker to the CI while building images


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/670f5d8c
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/670f5d8c
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/670f5d8c

Branch: refs/heads/master
Commit: 670f5d8cbceaf8793e9132e89232b3cdb8662fbf
Parents: cf87e4e
Author: Olaf Flebbe <of@oflebbe.de>
Authored: Sun Jan 17 18:50:16 2016 +0100
Committer: Olaf Flebbe <of@oflebbe.de>
Committed: Sun Jan 17 20:12:57 2016 +0100

----------------------------------------------------------------------
 docker/bigtop-deploy/centos-6/build.sh     | 2 ++
 docker/bigtop-deploy/debian-8/build.sh     | 2 ++
 docker/bigtop-deploy/ubuntu-14.04/build.sh | 2 ++
 3 files changed, 6 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/670f5d8c/docker/bigtop-deploy/centos-6/build.sh
----------------------------------------------------------------------
diff --git a/docker/bigtop-deploy/centos-6/build.sh b/docker/bigtop-deploy/centos-6/build.sh
index c9a22c8..040adef 100755
--- a/docker/bigtop-deploy/centos-6/build.sh
+++ b/docker/bigtop-deploy/centos-6/build.sh
@@ -15,4 +15,6 @@
 
 cp -r ../../../bigtop_toolchain .
 docker build -t bigtop/deploy:centos-6  .
+ret=$?
 rm -rf bigtop_toolchain
+exit $ret

http://git-wip-us.apache.org/repos/asf/bigtop/blob/670f5d8c/docker/bigtop-deploy/debian-8/build.sh
----------------------------------------------------------------------
diff --git a/docker/bigtop-deploy/debian-8/build.sh b/docker/bigtop-deploy/debian-8/build.sh
index e16d3ba..7653f48 100755
--- a/docker/bigtop-deploy/debian-8/build.sh
+++ b/docker/bigtop-deploy/debian-8/build.sh
@@ -15,4 +15,6 @@
 
 cp -r ../../../bigtop_toolchain .
 docker build -t bigtop/deploy:debian-8 .
+ret=$?
 rm -rf bigtop_toolchain
+exit $ret

http://git-wip-us.apache.org/repos/asf/bigtop/blob/670f5d8c/docker/bigtop-deploy/ubuntu-14.04/build.sh
----------------------------------------------------------------------
diff --git a/docker/bigtop-deploy/ubuntu-14.04/build.sh b/docker/bigtop-deploy/ubuntu-14.04/build.sh
index 2215abc..90858a3 100755
--- a/docker/bigtop-deploy/ubuntu-14.04/build.sh
+++ b/docker/bigtop-deploy/ubuntu-14.04/build.sh
@@ -15,4 +15,6 @@
 
 cp -r ../../../bigtop_toolchain .
 docker build -t bigtop/deploy:ubuntu-14.04 .
+ret=$?
 rm -rf bigtop_toolchain
+exit $ret


Mime
View raw message